% This file sets some global parameters.

% Total domain size
L=10000;
% grid spacing in horizontal
dx=L/2000;

% Here the depth
H=2;

% Heres gravity
g=9.81;

% Just some processing
x=0:dx:L-dx;
lx=length(x);

k=pi/L;
cd=sqrt(g./k);
ca=sqrt(g./k.*tanh(k.*H));
cs=sqrt(g*H);
dtmin=min([dx/cd,dx/cs,dx/ca]);

% Some parameters about saving results
tmax=(L/2/min([ca,cd,cs]));         % Final value of tmax.
saveint=round(100*tmax)/10000;   % Save values every saveint units of t.
maxsaves=ceil(tmax/saveint);    % How many saved values to expect?
plotfreq=1;  % How often to plot?
