% This is the final plotting routine

figure(2)

plot(x,0*H+ysaves(1:lx,end),'b','LineWidth',1);
hold on
plot(x,0*H+ysaves(1:lx,1),'r','LineWidth',1);
hold off

axis([0 L -1.5 1.5]);
xlabel('distance (m)')
ylabel('surface height anomaly (m)')
title(['Value at t=',num2str(round(tsaves(saves)),'%u'),'s; H=',num2str(H),'m'])

figure(1)

yf=fft(ysaves(1:lx,1));
yf=yf(1:end/2).*conj(yf(1:end/2));

yf2=fft(ysaves(1:lx,saves));
yf2=yf2(1:end/2).*conj(yf2(1:end/2));
loglog(dx.*(0:lx/2-1),yf./sum(yf),dx.*(0:lx/2-1),yf2./sum(yf2));

xlabel('wavelength (m)')
ylabel('Power Density (arbitrary units)')
title('Power Spectral Density of Initial Conditions and Final Conditions')



drawnow
